#
# StarWind iSCSI server (Alcohol edition) configuration file.
#
# This file contains list of SCSI devices that will be accessible to iSCSI.
# The device name should be placed in the first column followed by the target name.
# The device name and the target name should be separated by at least one space. 
#
# $Id: starwind.conf,v 1.1 2005/03/28 16:41:02 valery Exp $
#

[parameters]

#
# LogLevel values: (0-Disabled, 1-Errors, 2-Warnings, 3-all messages)
#
LogLevel = "1"

#
# Don't change the LogMask if you have no idea what does it mean!
#
LogMask = "0x8fffffff"

#
# Port number for iSCSI connectons
#
Port = "3260"

#
# Interface to listen to. "0.0.0.0" corresponds to "listen to all interfaces".
#
Interface = "0.0.0.0"

#
# Macros:
#   $(host)  - host name
#   $(symid) - symbolic target id ('cdrom.z' for example)
#

#
# Uncomment the line below to have global target id as part of target name
#
DefTargetName = "iqn.2003-06.com.rocketdivision.starwind:$(host).$(symid)"

#
# Username and password used for the control connection.
#
Login = "test"
Password = "##CY9rzUYh03PK3k6DJie09g=="

#
# CHAP authentification for control connections
#
#CtlAuthMode = "chap"
#CtlAuthServerName = "srv"
#CtlAuthServerSecret = "123"
#CtlAuthClientName = "user"
#CtlAuthClientSecret = "345"

#
# 'Echo = yes' - enables echo for control connections.
#
Echo = "no"
  
#
# Minimal 'maximum transfer length' should be supported by all SPTI devices
#
MinBufferSize = "65536"

#
# 'Minimal' aligment mask for SPTI devices - all buffers passed to SPTI will 
# be aligned according to this mask at least. Sure if an adapter requests 
# bigger aligment target will supply correctly aligmned buffers.
#
AlignmentMask = "0x0000"

#
# Setting 'AllowOnlyRecordableCd' to 'yes' forces the target to filter out all but 
# recordable CD/DVD.
#
#AllowOnlyRecordableCd = "no"

#
# Auto Export some of the found Devices
#
#AutoExportDevices = "spti:cd/dvd"

#
# Length of iSCSI queue. (min 16, max 512)
#
MaxPendingRequests = "64"


[plugins]

#
# Plugins
#
# Parameters (mandatory):
#     -module  - plugin dll
#     -symlink - device name prefix for all devices managed by the plugin
#     -type    - type of devices managed by the plugin
#   (optional):
#     -loglevel:"n" (n=0-3) - override log level for a plugin (by default global LogLevel value is used)
#

#
# Ram Disk plugin
#
#addplugin -module:"RamDisk.dll" -symlink:"RamDrive" -type:"RAM disk"

#
# ImageFile-specific parameters (mandatory):
#  -imagedir  - image files directory. several 'imagedir'
#	   parameters can be set. 'imagedir' must contain following fields (separated with |):
#	 1 - directory path
#	 2 - directory access rights (c - create images, d - delete images, f - create directories, v - view subdirectories)
#	 3 - directory alias
#	 4 - comma separated extension list. only files with these extensions can be viewed	
#	 5 - (optional) comment	
#        example : -imagedir:"c:|cdf|system|img,dat" - imagedir:"d:\images|cdfv|images|img|raw images"  
#  optional:
#   -volumes:<no|yes> - allows browsing and using of hard disk RAW partitions
#
#addplugin -module:"ImageFile.dll" -symlink:"ImageFile" -type:"Image file" -imagedir:"images|cdfv|images|img" -volumes:"no"

#
# VirtualDvd-specific parameters (mandatory):
#  -imagedir  - image files directory. several 'imagedir'
#	   parameters can be set. 'imagedir' must contain following fields separated with |:
#	 1 - directory path
#	 2 - directory access rights (v - view subdirectories)
#	 3 - directory alias
#	 4 - comma separated extension list. only files with these extensions can be viewed
#	 5 - (optional) comment	
#	example : -imagedir:"c:|cdf|system|iso,mds" - imagedir:"d:\images|f|images|iso|iso images"  
#
# VirtualDvd-specific parameters (optional):
#     share - sharing option flags. May be '', 'r', 'w' or 'rw'. 'r' means that device will be 
#         shared for reading. 'w' - for writing. Default is ''.
#     sessions - number of simultaneous iSCSI session allowed for this device. Default is 1.
#
#addplugin -module:"VirtualDvd.dll" -symlink:"VirtualDvd" -type:"Virtual DVD" -imagedir:"images|v|images|mds,iso" 


[devices]

#
# SPTI-specific device parameters (optional)
#   -timeout:nnn  - SCSI command execution timeout (in seconds). Default is 108000 (30 hours).
#   -share:"<rw|r>" - to allow multiple initiators to access the device (shared mode)
#   -sessions:nnn - set maximum number of initiators allowed to mount the device in shared mode
#   -readonly:<no|yes> - to export hard drives in readonly mode
#

# Hard drive accessible through SPTI
#add \\.\Physicaldrive0

# CD-ROM accessible through SPTI
#add \\.\Z:

# Share a hard drive or a CD-ROM to multiple clients
#add \\.\F: -timeout:256 -share:"rw" -sessions:8

#
# ImageFile device parameters:
#   -file   - image files name. This name is relative to 'imagedir'. The file should exists. 
#              It can be created by means of 'mksparse' utility.
#   -header - if not 0 the plugin will not use given amoung of bytes in the beginning of the file,
#         This value should be sector aligned.
#   -asyncmode:<no|yes> - if 'yes' the image is opened in asyncronous mode (you can benefit from this on stripped volumes)
#   -clustered:<no|yes> - if 'yes' the image is opened in shared mode 
#		and allows several iSCSI initiators to be connected to it
#
#add ImageFile0 -file:"image.img" -asyncmode:"yes"
#add ImageFile1 -file:"\\.\X:" -header:65536

#
# RAM disk device parameters:
#   -size   - size of RAM disk to create (in MB).
#   -format - if 'yes' created disk will be formatted as FAT16 partition.
#   -useawe:<no|yes> - allows creating of huge ram drives (>1GB)
#	 But the AWE mode is a bit slower than not using AWE!
#
#add RamDrive0 -size:16 -format:no
#add RamDrive0 -size:"16" -format:"yes"

#
# Virtual DVD device parameters:
#   -file - image (iso or mds) file name.
#   -type - 'iso' or 'mds' depending on type of the image.
#
#add VirtualDvd0 -file:"D:\temp\iwin2k.iso" -type:"iso"


[permissions]

#
# CHAP authentication
#

#allow -device:RamDrive0 -chapLocalName:"iqn.1991-05.com.microsoft:home.MSHOME.NET" -chapLocalSecret:"5432109876543210" -chapPeerSecret:"0123456789012345"
#allow -chapLocalName:"test" -chapLocalSecret:"5432109876543210" -chapPeerName:"" -chapPeerSecret:"0123456789012345"
